## Name

systemd-tmpfiles — Creates, deletes and cleans up volatile and temporary files and directories.

## Synopsis

`systemd-tmpfiles [OPTIONS...] [CONFIGURATION FILE...]`

## Description

systemd-tmpfiles creates, deletes and cleans up volatile and temporary files and directories, based on the configuration from `/etc/tmpfiles.d/`. See tmpfiles.d(5) for more details on these files.

If invoked with no arguments applies all directives from all configuration files in `/etc/tmpfiles.d/*.conf`. If one or more absolute file names are passed on the command line only the directives in these files are applied.

## Options

The following options are understood:

`--create`

  If this option is passed all files and directories marked with f, F, d, D in the configuration files are created. Files and directories marked with z, Z have their ownership, access mode and security labels set.

`--clean`

  If this option is passed all files and directories with an age parameter configured will be cleaned up.

`--remove`

  If this option is passed all files and directories marked with r, R in the configuration files are removed.

`--prefix=PATH`

  Only apply rules that apply to paths with the specified prefix.

`--help`

  Prints a short help text and exits.

It is possible to combine `--create`, `--clean`, and `--remove` in one invocation. For example, during boot the following command line is executed to ensure that all temporary and volatile directories are removed and created according to the configuration file:

    systemd-tmpfiles --remove --create

## Exit status

On success 0 is returned, a non-zero failure code otherwise.

## See Also

systemd(1), tmpfiles.d(5), tmpwatch(8)